Canalplan Bug Tracker



Anonymous Login
2017-09-23 17:16 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000297Canalplan Route Planningpublic2017-09-04 10:30
ReporterHalfie 
Assigned ToNick Atty 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000297: Quick route calculator comma bug
DescriptionIf the second place of the two separated by a comma has itself got a comma, CanalPlan ignores the inputted comma, joins up the first place to the first part of the second place and thinks the comma integral to the second place is that which separates the two places.
Easier to show with this example: Quick route calculator with Stoke Works Visitor Moorings and Sharpness Docks, Upper Basin.
The program looks for a place called 'Stoke Works Visitor Mooringssharpness Docks.
Steps To ReproduceIn Quick Route Calculator enter Stoke Works Visitor Moorings [comma] Sharpness Docks, Upper Basin. For each place use the suggested place names in the drop down menu.
Additional InformationUsing iPhone 4S.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001184

Shultzy (updater)

A quick solution is to leave out the second comma then select [Sharpness Docks, Upper Basin] from the search and it will work. Nick will see this and fix it.

~0001212

Nick Atty (administrator)

That's quite a beastly problem in parsing the string. I will think about what to do about it - in the meantime the work around does allow you to do it, clunky though it is.

~0001213

Nick Atty (administrator)

Would you believe it turned out to be utterly trivial? I'd already written all the code to find names with embedded commas in the entered string and escape them, and then code to break it out and return the commas to the right place.

What I hadn't done was clear the workspace, so if the comma-infested place wasn't the first one, any previous place was prefixed to it. One line to set the variable to an empty string and all now works!

Simple enough to push as a live fix.

~0001261

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2017-07-26 15:58 Halfie New Issue
2017-07-26 16:30 Shultzy Note Added: 0001184
2017-07-26 17:48 Stephen Atty Assigned To => Nick Atty
2017-07-26 17:48 Stephen Atty Status new => assigned
2017-08-05 10:20 Nick Atty Note Added: 0001212
2017-08-05 10:28 Nick Atty Status assigned => resolved
2017-08-05 10:28 Nick Atty Resolution open => fixed
2017-08-05 10:28 Nick Atty Note Added: 0001213
2017-09-04 10:30 Autoclose Note Added: 0001261
2017-09-04 10:30 Autoclose Status resolved => closed
+Issue History